Bug 110453 - OpenSSH calls pam_end() incorrectly when it should return PAM_CONV_ERR
Summary: OpenSSH calls pam_end() incorrectly when it should return PAM_CONV_ERR
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: openssh (Show other bugs)
(Show other bugs)
Version: 3.0
Hardware: All Linux
high
medium
Target Milestone: ---
Assignee: Tomas Mraz
QA Contact: Brian Brock
URL: http://www.cl.cam.ac.uk/~mgk25/otpw.html
Whiteboard:
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-11-19 17:18 UTC by Doug Sibley
Modified: 2007-11-30 22:06 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-06-27 14:02:50 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Doug Sibley 2003-11-19 17:18:18 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; .NET 
CLR 1.0.3705; .NET CLR 1.1.4322)

Description of problem:
See: 
http://www.cl.cam.ac.uk/~mgk25/otpw.html
And see:
http://bugzilla.mindrot.org/show_bug.cgi?id=632

For a full description but basically PAM is exited uncleanly which 
could lead to things like failure to scrub memory or maybe other 
things with unusual pam modules.

Version-Release number of selected component (if applicable):
openssh-3.1p1-14

How reproducible:
Always

Steps to Reproduce:
1. Install otpw and run via OpenSSH/PAM
2. or write a simple test script and test pam module and run them.
3.
    

Additional info:

Comment 7 Tomas Mraz 2005-06-27 14:02:50 UTC
I'm sorry but this bug cannot be easily fixed for RHEL 3 (it is fixed in RHEL 4).
The upstream patch is applicable only to the openssh-3.7p1 and the patch for
openssh-3.6.1p2 would be very invasive with a high risk of regressing other
functionality.



Note You need to log in before you can comment on or make changes to this bug.